// Make sure exactly ONE threading library is active for
// all of our threading primitives
#ifndef PLS_CHOOSE_THREADING_H
#define PLS_CHOOSE_THREADING_H

#if defined(PLS_USING_PTHREADS) && defined(PLS_USING_CPP_THREADS)
    #error "Please activate exactly one threading library (currently both are activated)!"
#endif
#if !defined(PLS_USING_PTHREADS) && !defined(PLS_USING_CPP_THREADS)
    #error "Please activate exactly one threading library (currently none are activated)!"
#endif

#endif //PLS_CHOOSE_THREADING_H
