#include "pls/internal/base/thread.h"

namespace pls {
    namespace internal {
        namespace base {
#ifdef PLS_USING_PTHREADS
            bool this_thread::local_storage_key_initialized_ = false;
            pthread_key_t this_thread::local_storage_key_;
#endif
#ifdef PLS_USING_CPP_THREADS
            thread_local void* this_thread::local_storage_;
#endif
            // implementation in header (C++ templating)
        }
    }
}
